
QGIS Application - Feature request #17581

add the ability to control if a layer action is displayed or not 

2017-11-29 09:54 AM - Regis Haubourg

Status: Closed

Priority: Normal

Assignee: David Signer

Category: Actions

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 25478

Description

Expression can be used to edit data and we should be able to control if we want to have them displayed in different contexts. 

Using a python script to control that would be nice

History

#1 - 2017-11-29 10:01 AM - Matthias Kuhn

Possibilities

    -  Python callback

    -  Python object with "push notification" 

    -  An expression with some variables (my preference ;) )

#2 - 2018-02-22 12:46 PM - Regis Haubourg

Discussed here for reference : [[

http://osgeo-org.1560.x6.nabble.com/QGIS-Developer-Concerns-re-UX-of-new-quot-duplicate-features-quot-actions-in-2-99-td5353923.html]]

#3 - 2018-02-25 10:39 AM - Regis Haubourg

- Assignee set to David Signer

It should be implemented by [[https://github.com/qgis/QGIS/pull/6447]] when merged.

David and Nyall, I allow myself to reference you here  :)

#4 - 2018-02-25 10:40 AM - Regis Haubourg

- Status changed from Open to In Progress

- Pull Request or Patch supplied changed from No to Yes

#5 - 2018-02-25 05:10 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from In Progress to Closed
